# coding: utf-8
puts"タイマーとストップウォッチはどちらがいいですか?"

while true
  puts"タイマーなら1、ストップウォッチなら2を入力してください"
  puts"終了したいなら3を押してください"
  erabu = gets.to_i
  if erabu == 1
    puts"タイマーを起動します"
    print"秒数を記入してください:"
    x = gets.chomp.to_i
    puts"タイマーをスタートします"

    while x > 0
      sleep(1)
      x = x - 1
      printf("%d\n",x)
    end
    puts"時間になりました"
    sleep(1)
    
    
  elsif  erabu == 2
    puts"ストップウォッチを起動します"
    puts"enterキーでスタート、ストップ"
    saisyo = gets.chomp
    kaisai = Time.now.to_i
    teimu = gets.chomp
    syuryo = Time.now.to_i
    taimu = syuryo - hum * 60
    zikan = hun / 60
    printf("時間は%d時間%d分%d秒です\n", zikan, hun, byou)
  elsif erabu == 3
    puts"このプログラムを終了します"
    break
  else
    puts"その選択肢はありません"
    puts
    next
  end
  puts
  puts
end
